#!/usr/bin/env python
# -*- coding: utf-8 -*-


try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup


with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read().replace('.. :changelog:', '')

requirements = [
    # TODO: put package requirements here
]

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='indexr',
    version='1.0.1',
    description="A general purpose indexer written in Python.",
    long_description=readme + '\n\n' + history,
    author="Kevin Jacobs",
    author_email='kevin91nl@gmail.com',
    url='https://github.com/kevin91nl/indexr',
    packages=[
        'indexr',
        'indexr.buildr',
        'indexr.utils'
    ],
    package_dir={
        'indexr': 'indexr',
        'indexr.buildr': 'indexr/buildr',
        'indexr.utils': 'indexr/utils'
    },
    include_package_data=True,
    install_requires=requirements,
    license="ISCL",
    zip_safe=False,
    keywords='indexr',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: ISC License (ISCL)',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
